Name: libdv
Version: 0.98
Release: alt1.1

Summary: DV software video codec
License: GPL
Group: System/Libraries
Url: http://libdv.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2
Patch: %name-mmxdetect-athlon.patch.bz2

%define popt_ver 1.7-alt5
Requires: libpopt >= %popt_ver
BuildPreReq: libpopt-devel >= %popt_ver


# Automatically added by buildreq on Wed Sep 18 2002
BuildRequires: XFree86-devel XFree86-libs coreutils glib-devel glibc-devel-static gtk+-devel libpopt-devel pkgconfig

%description
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net for more.

%name package contains shared libraries you can use to run libdv
applications.

%package devel
Summary: Development files from libdv
Group: Development/C
Requires: %name = %version-%release

%description devel
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.

This is the libraries, include files and other resources you can use
to incorporate libdv into applications.

%package devel-static
Summary: Static libdv libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.

This package contains static libraries you can use to build libdv
applications.

%package utils
Summary: Binaries from libdv
Group: Video
Requires: %name = %version-%release

%description utils
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.

%prep
%setup -q
%patch -p1

%build
%configure --without-debug
%make_build

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_libdir/*.la
%_includedir/*
%_libdir/pkgconfig/*
%doc AUTHORS ChangeLog COPYRIGHT NEWS README TODO

%files devel-static
%_libdir/*.a

%files utils
%_bindir/*
%_man1dir/*
%doc README.*

%changelog
* Tue Aug 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.98-alt1.1
- 0.98
- (inger) update buildres (XFree86-static-libs)

* Fri May 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.5-alt1
- First build for Sisyphus.
